summaryrefslogtreecommitdiff
path: root/tests/du/no-deref
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-01-04 10:45:42 +0000
committerJim Meyering <jim@meyering.net>2003-01-04 10:45:42 +0000
commit2076d0231d94112ad4c100ccb7f0da005bdd7752 (patch)
treec4af29e64da33ab9b2b7f40cb9976eb8dcca5790 /tests/du/no-deref
parentdc905513599e47b158b157308be37e3e9d32e98a (diff)
downloadcoreutils-2076d0231d94112ad4c100ccb7f0da005bdd7752.tar.xz
.
Diffstat (limited to 'tests/du/no-deref')
-rwxr-xr-xtests/du/no-deref35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests/du/no-deref b/tests/du/no-deref
new file mode 100755
index 000000000..f0f1ba74e
--- /dev/null
+++ b/tests/du/no-deref
@@ -0,0 +1,35 @@
+#!/bin/sh
+# Ensure that by defualt, du doesn't dereference symlinks given on command line.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ du --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir -p dir/a/b
+ln -s dir slink
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+du slink | sed 's/^[0-9][0-9]* //' > out
+cat <<\EOF > exp
+slink
+EOF
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
+(exit $fail); exit $fail